Subject: REVIEW: Oxyron Patcher v3.12
From: [email-masked] (Robert Davis)
Date: 17 Sep 1998 11:00:19 -0400
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME
   Oxyron Patcher v3.12

BRIEF DESCRIPTION
   A patch program for Amigas with 68040 or 68060 cpus
   to properly handle the math instructions which were built in
   to the 68882 math IC, but left out of the the 040 and 060
   chips.

AUTHOR/COMPANY INFORMATION
   Name:             New Generation Software
   Address:          Haarmeyers-Kamp 6
                     49586 Neuenkirchen
                     Germany

   Telephone:        (05465) 9923
   Fax:              (05465) 1263

   E-Mail:           [email-masked]
   World Wide Web:

LIST PRICE
   Advertised in Amazing Computing (USA)
   for $27-$28 (US)

DEMO VERSION
   none

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS
   1) Amiga with 68040 or 68060 cpu
   2) Amiga OS 2 or newer

COPY PROTECTION
   none

MACHINE USED FOR TESTING
   A3000, A3640 cpu board, 25 Mhz 68040
   2-meg chip, 16-meg fast ram
   OS 3.1 (Kickstart 40,68 Workbench 40.42)
   ECS chipset and display

INSTALLATION
   Simple, but you must modify the sys:s/Startup-Sequence text
   file, by adding one line to the beginning of the file.
   Two files and an icon must be copied into the sys:wbstartup
   directory.  The software comes on one floppy disk.

REVIEW
   I have already installed some updated math library
   updates on this A3000, with the hope of speeding up
   picture display and 3D rendering.  Here are my own
   test results:
   (Timings done with a manually operated stopwatch ...
    my own reaction time is a factor here).

   Display a JPEG picture of 275-thousand bytes.

   Without OxyPatcher        With OxyPatcher
   FJPEG 8.28 SEC            FJPEG 8.68 SEC
   FJPEG 8.38 SEC            FJPEG 8.22 SEC
   FJPEG 8.29 SEC            FJPEG 8.23 SEC
   VISAGE 7.99 SEC           VISAGE 7.79 SEC
   VISAGE 7.65 SEC           VISAGE 7.60 SEC
   VISAGE 7.63 SEC           VISAGE 7.47 SEC

   The still picture display results show no huge speedup
   while using Oxyron Patcher.  Just maybe, given my thumb
   speed pushing the button on the stopwatch, the programs
   tested are a bit faster with Oxy Patcher.

   Render a 3D picture using an old version of Real 3D (1.4.2)

   Without OxyPatcher        With OxyPatcher
   7 min 20 seconds        5 minutes 14 seconds

   Here is where Oxyron Patcher does a good job.
   That is about a 30-percent speed increase which
   can really save time when doing math intensive
   graphics.

DOCUMENTATION
   One small sheet of paper, instructions in German.
   Text file on disk, in English.

LIKES
   It works on my A3000/A3640 as advertised.

DISLIKES AND SUGGESTIONS
   I think that a product distributed in the USA should
   have the very simple instructions printed in English.

COMPARISON TO OTHER SIMILAR PRODUCTS
   Phase 5 seems to have a similar program for their 040/060
   systems, but I've never used a Phase 5 product, so I
   cannot honestly compare it to OxyPatcher.

BUGS
   None that I could find.

VENDOR SUPPORT
   I've had no need to get in contact with the vendor.

WARRANTY
   There is the usual disclaimer built into the program's
   'ABOUT' display, that if it messes up, it is not the fault
   of the programmers.

CONCLUSION
   I have a 68040 cpu.  An even greater improvement should
   occur on systems with a 68060 cpu, where fewer of the
   68882 instructions are handled in hardware.

   Newer software, written especially for the 040 and 060 cpus,
   perhaps will not use the math instructions which have been
   moved to the 680x0.library ... but I like to ue my old version
   of Real 3D, and Oxyron Patcher speeds it up a lot.

COPYRIGHT NOTICE
   Copyright 1998 Robert Davis

   This review may be reprinted at will, as long as
   you reprint it without modification.

   Robert V. Davis
   [email-masked]
   [email-masked]

-- 
Robert Davis   Amateur Radio K0FPC   Emporia, Kansas
[email-masked]  OR  [email-masked]

---

   Accepted and posted by Daniel Barrett, comp.sys.amiga.reviews moderator
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]
   Anonymous ftp site:  math.uh.edu, in /pub/Amiga/comp.sys.amiga.reviews
   Web site:		http://math.uh.edu/~barrett/reviews.html